
using CloudBuilder.AI.Data;
using CloudBuilder.AI.Entity;
using CloudBuilder.AI.SearchCriteria;
using CloudBuilder.Core.Service;

namespace CloudBuilder.AI.Service
{
    public  interface IAiSentenceService :IServiceBase<AiSentenceEntity, string ,AiSentenceSearchCriteria>
    {
        AiSentenceViewEntity[] FindByChapterGuid(string chapterGuid);
        AiSentenceViewResultData FindBySearchCriteria(AiSentenceSearchCriteria criteria);
        void Inserts(AiSentenceEntity[] datas);
    }
}
